<?php

namespace Sitpak\Sittest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SittestTransformer extends TransformerAbstract
{
    public function transform(\Sitpak\Sittest\Models\Sittest $sittest)
    {
        return [
            'id'                => $sittest->getRouteKey(),
            'key'               => [
                'public'    => $sittest->getPublicKey(),
                'route'     => $sittest->getRouteKey(),
            ], 
            'id'                => $sittest->id,
            'name'              => $sittest->name,
            'title'             => $sittest->title,
            'heading'           => $sittest->heading,
            'sub_heading'       => $sittest->sub_heading,
            'abstract'          => $sittest->abstract,
            'content'           => $sittest->content,
            'meta_title'        => $sittest->meta_title,
            'meta_keyword'      => $sittest->meta_keyword,
            'meta_description'  => $sittest->meta_description,
            'banner'            => $sittest->banner,
            'images'            => $sittest->images,
            'compile'           => $sittest->compile,
            'view'              => $sittest->view,
            'category'          => $sittest->category,
            'order'             => $sittest->order,
            'slug'              => $sittest->slug,
            'status'            => $sittest->status,
            'upload_folder'     => $sittest->upload_folder,
            'deleted_at'        => $sittest->deleted_at,
            'created_at'        => $sittest->created_at,
            'updated_at'        => $sittest->updated_at,
            'id);'              => $sittest->id);,
            '10)'               => $sittest->10),
            'url'               => [
                'public'    => trans_url('sittest/'.$sittest->getPublicKey()),
                'user'      => guard_url('sittest/sittest/'.$sittest->getRouteKey()),
            ], 
            'status'            => trans('app.'.$sittest->status),
            'created_at'        => format_date($sittest->created_at),
            'updated_at'        => format_date($sittest->updated_at),
        ];
    }
}